| Home | Libraries | People | FAQ | More

## Function template is_permutation

boost::algorithm::is_permutation — Tests to see if the sequence [first,last) is a permutation of the sequence starting at first2.

## Synopsis

    // In header: <boost/algorithm/cxx11/is_permutation.hpp>

    template<typename Range, typename ForwardIterator, typename BinaryPredicate>
      boost::disable_if_c< boost::is_same< Range, ForwardIterator >::value, bool >::type
      is_permutation(const Range & r, ForwardIterator first2,
                     BinaryPredicate pred);

## Description

Parameters:

`first2` | The start of the second sequence
`pred` | The predicate to compare elements with
`r` | The input range